curl --request POST \
--url https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"SalesChannelId": "<string>",
"CustomerGroupId": 123,
"FromQuantity": 123,
"NetPrice": 123,
"ReduceStandardPriceByPercent": 123
}
'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices"
payload = {
"SalesChannelId": "<string>",
"CustomerGroupId": 123,
"FromQuantity": 123,
"NetPrice": 123,
"ReduceStandardPriceByPercent": 123
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
SalesChannelId: '<string>',
CustomerGroupId: 123,
FromQuantity: 123,
NetPrice: 123,
ReduceStandardPriceByPercent: 123
})
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'SalesChannelId' => '<string>',
'CustomerGroupId' => 123,
'FromQuantity' => 123,
'NetPrice' => 123,
'ReduceStandardPriceByPercent' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices"
payload := strings.NewReader("{\n \"SalesChannelId\": \"<string>\",\n \"CustomerGroupId\": 123,\n \"FromQuantity\": 123,\n \"NetPrice\": 123,\n \"ReduceStandardPriceByPercent\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"SalesChannelId\": \"<string>\",\n \"CustomerGroupId\": 123,\n \"FromQuantity\": 123,\n \"NetPrice\": 123,\n \"ReduceStandardPriceByPercent\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"SalesChannelId\": \"<string>\",\n \"CustomerGroupId\": 123,\n \"FromQuantity\": 123,\n \"NetPrice\": 123,\n \"ReduceStandardPriceByPercent\": 123\n}"
response = http.request(request)
puts response.read_body{
"ItemId": 123,
"SalesChannelId": "<string>",
"CustomerGroupId": 123,
"FromQuantity": 123,
"NetPrice": 123,
"ReduceStandardPriceByPercent": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Create Item Sales Channel Price
Create new sales channel prices for a specific item
curl --request POST \
--url https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"SalesChannelId": "<string>",
"CustomerGroupId": 123,
"FromQuantity": 123,
"NetPrice": 123,
"ReduceStandardPriceByPercent": 123
}
'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices"
payload = {
"SalesChannelId": "<string>",
"CustomerGroupId": 123,
"FromQuantity": 123,
"NetPrice": 123,
"ReduceStandardPriceByPercent": 123
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
SalesChannelId: '<string>',
CustomerGroupId: 123,
FromQuantity: 123,
NetPrice: 123,
ReduceStandardPriceByPercent: 123
})
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'SalesChannelId' => '<string>',
'CustomerGroupId' => 123,
'FromQuantity' => 123,
'NetPrice' => 123,
'ReduceStandardPriceByPercent' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices"
payload := strings.NewReader("{\n \"SalesChannelId\": \"<string>\",\n \"CustomerGroupId\": 123,\n \"FromQuantity\": 123,\n \"NetPrice\": 123,\n \"ReduceStandardPriceByPercent\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"SalesChannelId\": \"<string>\",\n \"CustomerGroupId\": 123,\n \"FromQuantity\": 123,\n \"NetPrice\": 123,\n \"ReduceStandardPriceByPercent\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"SalesChannelId\": \"<string>\",\n \"CustomerGroupId\": 123,\n \"FromQuantity\": 123,\n \"NetPrice\": 123,\n \"ReduceStandardPriceByPercent\": 123\n}"
response = http.request(request)
puts response.read_body{
"ItemId": 123,
"SalesChannelId": "<string>",
"CustomerGroupId": 123,
"FromQuantity": 123,
"NetPrice": 123,
"ReduceStandardPriceByPercent": 123
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Authorizations
Headers
Path Parameters
Body
The sales channel price for an item to create.
Model Class: CreateItemSalesChannelPrice
The quantity for the scale prices. This should be 0 or empty for the default price. If a FromQuantity is given, this price applies to the range from this quantity to the next specified FromQuantity. If no higher FromQuantity exists, then this price applies to all quantities from this point on.
Response
The created item sales channel price.
Model Class: ItemSalesChannelPrice
The quantity for the scale prices. This should be 0 or empty for the default price. If a FromQuantity is given, this price applies to the range from this quantity to the next specified FromQuantity. If no higher FromQuantity exists, then this price applies to all quantities from this point on.
Was this page helpful?